org.apache.ignite.internal.visor.tx

## Enum VisorTxSortOrder

- java.lang.Object
- - java.lang.Enum<VisorTxSortOrder>
  - - org.apache.ignite.internal.visor.tx.VisorTxSortOrder

All Implemented Interfaces:
  Serializable, Comparable<VisorTxSortOrder>

    public enum VisorTxSortOrder
    extends Enum<VisorTxSortOrder>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DURATION` Sort by duration.
`SIZE` Sort by size.
`START_TIME` Sort by startTime

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable VisorTxSortOrder` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorTxSortOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorTxSortOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DURATION

    public static final VisorTxSortOrder DURATION

Sort by duration.

#### SIZE

    public static final VisorTxSortOrder SIZE

Sort by size.

#### START_TIME

    public static final VisorTxSortOrder START_TIME

Sort by startTime

### Method Detail

#### values

    public static VisorTxSortOrder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorTxSortOrder c : VisorTxSortOrder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorTxSortOrder valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorTxSortOrder fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021